Raritan PX2/PX3 JSON-RPC API

Public Attributes | List of all members
pdumodel::Outlet_2_1_5::Settings Struct Reference

Outlet settings More...

`import"Outlet.idl";`

## Public Attributes
string | name
| User-defined name.
StartupState | startupState
| Power state on device startup.
boolean | usePduCycleDelay
| `true` to use power-cycle delay as defined in PDU settings
int | cycleDelay
| Outlet-specific power-cycle delay
boolean | nonCritical
| `true` if outlet is non-critical (for load shedding)
int | sequenceDelay
| Delay in ms after this outlet when switching multiple outlets on.

## Detailed Description

Outlet settings

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/Outlet.idl